CalryOTA Docs
Promotions

Get listings for a promotion

Retrieves the listings currently associated with a promotion.

GET
/api/v1/promotions/{id}/listings

Authorization

x-calry-api-key
x-calry-api-key<token>

In: header

Path Parameters

id*string

Promotion ID

Header Parameters

x-calry-tenant-id?string

Optional tenant ID to specify which tenant to operate as. Controls access to promotions and their associated listings. If not provided, the default tenant will be used.

Response Body

application/json

curl -X GET "https://example.com/api/v1/promotions/123e4567-e89b-12d3-a456-426614174000/listings"
[
  {
    "id": "string",
    "integrationAccountID": "string",
    "name": "string",
    "description": "string",
    "thumbnailURL": "string",
    "pictures": [
      "string"
    ],
    "latitude": 0,
    "longitude": 0,
    "bedroomCount": 0,
    "bathroomCount": 0
  }
]